package commands

import "github.com/bwmarrin/discordgo"

type command struct {
	Name    string
	Handler func(s *discordgo.Session, args []string, m *discordgo.MessageCreate) error
}

var list = []command{
	command{
		Name:    "level",
		Handler: handleLevelCommand,
	},
	command{
		Name:    "shard",
		Handler: handleShardCommand,
	},
	command{
		Name:    "prestige",
		Handler: handlePrestigeCommand,
	},
	command{
		Name:    "star",
		Handler: handleStarCommand,
	},
	command{
		Name:    "version",
		Handler: handleVersionCommand,
	},
}
